package org.bench4q.share.models.agent;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.agent.statistics.AgentBehaviorsBriefModel;
import org.bench4q.share.models.agent.statistics.AgentBriefStatusModel;
import org.bench4q.share.models.agent.statistics.AgentPagesBriefModel;

@XmlRootElement(name = "testBriefStatus")
public class TestBriefStatusModel {
	private AgentBriefStatusModel scenarioBriefModel;
	private AgentBehaviorsBriefModel behaviorsBriefModel;
	private AgentPagesBriefModel pagesBriefModel;

	@XmlElement
	public AgentBriefStatusModel getScenarioBriefModel() {
		return scenarioBriefModel;
	}

	public void setScenarioBriefModel(AgentBriefStatusModel scenarioBriefModel) {
		this.scenarioBriefModel = scenarioBriefModel;
	}

	@XmlElement
	public AgentBehaviorsBriefModel getBehaviorsBriefModel() {
		return behaviorsBriefModel;
	}

	public void setBehaviorsBriefModel(
			AgentBehaviorsBriefModel behaviorsBriefModel) {
		this.behaviorsBriefModel = behaviorsBriefModel;
	}

	@XmlElement
	public AgentPagesBriefModel getPagesBriefModel() {
		return pagesBriefModel;
	}

	public void setPagesBriefModel(AgentPagesBriefModel pagesBriefModel) {
		this.pagesBriefModel = pagesBriefModel;
	}

}
